"""
Python translation of fit..
which is copyright (c) 2002 Cunningham & Cunningham, Inc.
Released under the terms of the GNU General License version 2 or later.
"""

from fit.Fixture import Fixture
from Music import Music

Music = Music()

class Browser(Fixture):

    def library (self, path):
        Music.load(path)
    
    def totalSongs(self):
        return len(Music.library)

    def select (self, i):
        Music.select(Music.library[i-1])

    def title(self):
        return Music.looking.title

    def artist(self):
        return Music.looking.artist

    def album(self):
        return Music.looking.album

    def year(self):
        return Music.looking.year
    
    def time(self):
        return Music.looking.time()

    def track(self):
        return Music.looking.track()
    
    def play(self):
        Music.play(Music.looking)
    
    def sameAlbum(self):
        Music.findAlbum(Music.looking.album)
    
    def sameArtist(self):
        Music.findArtist(Music.looking.artist)
    
    def sameGenre(self):
        Music.findGenre(Music.looking.genre)
    
    def sameYear(self):
        Music.findYear(Music.looking.year)
    
    def selectedSongs(self):
        return Music.displayCount()
    
    def showAll(self):
        Music.findAll()
